openapi: 3.0.2
info:
  title: Rayvn External API - OpenAPI 3.0
  description: This is external Rayvn API
  termsOfService: http://swagger.io/terms/
  contact:
    email: api@rayvn.global
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.17
paths:
  /users:
    get:
      tags:
        - Users
      operationId: getAllUsers
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserDTO'
    post:
      tags:
        - Users
      operationId: createUser
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
  /users/{id}:
    get:
      tags:
        - Users
      operationId: getUserById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    post:
      tags:
        - Users
      operationId: updateUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    patch:
      tags:
        - Users
      operationId: patchUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    delete:
      tags:
        - Users
      operationId: deleteUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /users/email/{email}:
    get:
      tags:
        - Users
      operationId: getUsersByEmail
      parameters:
        - name: email
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserDTO'
  /users/externalId/{externalId}:
    delete:
      tags:
        - Users
      operationId: deleteUserByExternalId
      parameters:
        - name: externalId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
        '404':
          description: User not found
  /v2/users:
    get:
      tags:
        - Users
      operationId: getAllUsersV2
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserResponseDTO'
    post:
      tags:
        - Users
      operationId: createUserV2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponseDTO'
  /v2/users/group/{groupId}:
    get:
      tags:
        - Users
      operationId: getUsersByGroupV2
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserResponseDTO'
  /v2/users/{id}:
    get:
      tags:
        - Users
      operationId: getUserByIdV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponseDTO'
    patch:
      tags:
        - Users
      operationId: updateUserV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponseDTO'
    delete:
      tags:
        - Users
      operationId: deleteUserV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /responders:
    get:
      tags:
        - Responders
      operationId: getAllResponders
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserDTO'
    post:
      tags:
        - Responders
      operationId: createResponder
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
  /responders/{id}:
    get:
      tags:
        - Responders
      operationId: getResponder
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    post:
      tags:
        - Responders
      operationId: updateResponder
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    patch:
      tags:
        - Responders
      operationId: patchResponder
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDTO'
    delete:
      tags:
        - Responders
      operationId: deleteResponder
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /responders/externalId/{externalId}:
    delete:
      tags:
        - Responders
      operationId: deleteResponderByExternalId
      parameters:
        - name: externalId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
        '404':
          description: Responder not found
  /contacts:
    get:
      tags:
        - Contacts
      operationId: getAllContacts
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactDTO'
    post:
      tags:
        - Contacts
      operationId: createContact
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDTO'
  /contacts/{id}:
    get:
      tags:
        - Contacts
      operationId: getContact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDTO'
    post:
      tags:
        - Contacts
      operationId: updateContact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDTO'
    patch:
      tags:
        - Contacts
      operationId: patchContact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDTO'
    delete:
      tags:
        - Contacts
      operationId: deleteContact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /v2/contacts:
    get:
      tags:
        - Contacts
      operationId: getAllContactsV2
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50000
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: filter
          in: query
          required: false
          schema:
            type: string
        - name: includeCustomFields
          in: query
          required: false
          schema:
            type: boolean
            default: true
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactResponseDTO'
    post:
      tags:
        - Contacts
      operationId: createContactV2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseDTO'
  /v2/contacts/group/{groupId}:
    get:
      tags:
        - Contacts
      operationId: getContactsByGroupV2
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50000
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: filter
          in: query
          required: false
          schema:
            type: string
        - name: includeCustomFields
          in: query
          required: false
          schema:
            type: boolean
            default: true
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactResponseDTO'
  /v2/contacts/{id}:
    get:
      tags:
        - Contacts
      operationId: getContactV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseDTO'
    patch:
      tags:
        - Contacts
      operationId: updateContactV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseDTO'
    delete:
      tags:
        - Contacts
      operationId: deleteContactV2
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /v2/contacts/createAndUpdate:
    post:
      tags:
        - Contacts
      operationId: bulkCreateUpdateContacts
      parameters:
        - name: deleteAllNotIncludedContacts
          in: query
          required: false
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ContactDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /groups:
    get:
      tags:
        - Groups
      operationId: getAllGroups
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupDTO'
    post:
      tags:
        - Groups
      operationId: createGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDTO'
  /groups/{id}:
    get:
      tags:
        - Groups
      operationId: getGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDTO'
    post:
      tags:
        - Groups
      operationId: updateGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDTO'
    patch:
      tags:
        - Groups
      operationId: patchGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupDTO'
    delete:
      tags:
        - Groups
      operationId: deleteGroup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /groups/externalId/{externalId}:
    delete:
      tags:
        - Groups
      operationId: deleteGroupByExternalId
      parameters:
        - name: externalId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
        '404':
          description: Group not found
        '409':
          description: Group contains users
  /teams:
    get:
      tags:
        - Teams
      operationId: getAllTeams
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TeamDTO'
    post:
      tags:
        - Teams
      operationId: createTeam
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDTO'
  /teams/{id}:
    get:
      tags:
        - Teams
      operationId: getTeam
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDTO'
    post:
      tags:
        - Teams
      operationId: updateTeam
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDTO'
    patch:
      tags:
        - Teams
      operationId: patchTeam
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDTO'
    delete:
      tags:
        - Teams
      operationId: deleteTeam
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /sites:
    get:
      tags:
        - Sites
      operationId: getAllSites
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SiteDTO'
    post:
      tags:
        - Sites
      operationId: createSite
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiteDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteDTO'
  /sites/{id}:
    get:
      tags:
        - Sites
      operationId: getSite
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteDTO'
    post:
      tags:
        - Sites
      operationId: updateSite
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiteDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteDTO'
    patch:
      tags:
        - Sites
      operationId: patchSite
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiteDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteDTO'
    delete:
      tags:
        - Sites
      operationId: deleteSite
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /resources:
    get:
      tags:
        - Resources
      operationId: getAllResources
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResourceDTO'
    post:
      tags:
        - Resources
      operationId: createResource
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourceDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDTO'
  /resources/{id}:
    get:
      tags:
        - Resources
      operationId: getResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDTO'
    post:
      tags:
        - Resources
      operationId: updateResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourceDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDTO'
    patch:
      tags:
        - Resources
      operationId: patchResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourceDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDTO'
    delete:
      tags:
        - Resources
      operationId: deleteResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /tags:
    get:
      tags:
        - Tags
      operationId: getAllTags
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TagDTO'
    post:
      tags:
        - Tags
      operationId: createTag
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagDTO'
  /tags/{id}:
    get:
      tags:
        - Tags
      operationId: getTag
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagDTO'
    post:
      tags:
        - Tags
      operationId: updateTag
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagDTO'
    patch:
      tags:
        - Tags
      operationId: patchTag
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagDTO'
    delete:
      tags:
        - Tags
      operationId: deleteTag
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /scenarios:
    get:
      tags:
        - Scenarios
      operationId: getAllScenarios
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScenarioDTO'
    post:
      tags:
        - Scenarios
      operationId: createScenario
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScenarioDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioDTO'
  /scenarios/{id}:
    get:
      tags:
        - Scenarios
      operationId: getScenario
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioDTO'
    post:
      tags:
        - Scenarios
      operationId: updateScenario
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScenarioDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioDTO'
    patch:
      tags:
        - Scenarios
      operationId: patchScenario
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScenarioDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioDTO'
    delete:
      tags:
        - Scenarios
      operationId: deleteScenario
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /contactLists:
    get:
      tags:
        - Contact Lists
      operationId: getAllContactLists
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactListDTO'
    post:
      tags:
        - Contact Lists
      operationId: createContactList
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactListDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListDTO'
  /contactLists/{id}:
    get:
      tags:
        - Contact Lists
      operationId: getContactList
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListDTO'
    post:
      tags:
        - Contact Lists
      operationId: updateContactList
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactListDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListDTO'
    patch:
      tags:
        - Contact Lists
      operationId: patchContactList
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactListDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListDTO'
    delete:
      tags:
        - Contact Lists
      operationId: deleteContactList
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /messageTemplates:
    get:
      tags:
        - MessageTemplates
      operationId: getAllMessageTemplates
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MessageTemplateDTO'
    post:
      tags:
        - MessageTemplates
      operationId: createMessageTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageTemplateDTO'
  /messageTemplates/{id}:
    get:
      tags:
        - MessageTemplates
      operationId: getMessageTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageTemplateDTO'
    post:
      tags:
        - MessageTemplates
      operationId: updateMessageTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageTemplateDTO'
    patch:
      tags:
        - MessageTemplates
      operationId: patchMessageTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageTemplateDTO'
    delete:
      tags:
        - MessageTemplates
      operationId: deleteMessageTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /meetingTemplates:
    get:
      tags:
        - MeetingTemplates
      operationId: getAllMeetingTemplates
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MeetingTemplateDTO'
    post:
      tags:
        - MeetingTemplates
      operationId: createMeetingTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetingTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingTemplateDTO'
  /meetingTemplates/{id}:
    get:
      tags:
        - MeetingTemplates
      operationId: getMeetingTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingTemplateDTO'
    post:
      tags:
        - MeetingTemplates
      operationId: updateMeetingTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetingTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingTemplateDTO'
    patch:
      tags:
        - MeetingTemplates
      operationId: patchMeetingTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetingTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeetingTemplateDTO'
    delete:
      tags:
        - MeetingTemplates
      operationId: deleteMeetingTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /situationReportTemplates:
    get:
      tags:
        - Situation Report Templates
      operationId: getAllSituationReportTemplates
      parameters:
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: externalId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SituationReportTemplateDTO'
    post:
      tags:
        - Situation Report Templates
      operationId: createSituationReportTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SituationReportTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SituationReportTemplateDTO'
  /situationReportTemplates/{id}:
    get:
      tags:
        - Situation Report Templates
      operationId: getSituationReportTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SituationReportTemplateDTO'
    post:
      tags:
        - Situation Report Templates
      operationId: updateSituationReportTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SituationReportTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SituationReportTemplateDTO'
    patch:
      tags:
        - Situation Report Templates
      operationId: patchSituationReportTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SituationReportTemplateDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SituationReportTemplateDTO'
    delete:
      tags:
        - Situation Report Templates
      operationId: deleteSituationReportTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /files:
    post:
      tags:
        - Files
      operationId: postFile
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required: [file]
              properties:
                file:
                  type: string
                  format: binary
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDTO'
  /files/{fileId}:
    get:
      tags:
        - Files
      operationId: getFile
      parameters:
        - name: fileId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDTO'
  /logs:
    get:
      tags:
        - Logs
      operationId: getAllLogs
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LogListDTO'
    post:
      tags:
        - Logs
      operationId: createLog
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLogDTO'
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogDTO'
  /logs/{logId}/responseStatus:
    get:
      tags:
        - Logs
      operationId: getLogResponseStatus
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserLogStatusDTO'
  /logs/{logId}/entry:
    post:
      tags:
        - Logs
      operationId: createLogEntry
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogEntryDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /logs/{logId}/entries:
    get:
      tags:
        - Logs
      operationId: getLogEntries
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LogEntryDTO'
  /logs/{logId}/addTeam/{teamId}:
    post:
      tags:
        - Logs
      operationId: addTeamToLog
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
        - name: teamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SilentDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /logs/{logId}/removeTeam/{teamId}:
    post:
      tags:
        - Logs
      operationId: removeTeamFromLog
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
        - name: teamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /logs/{logId}/teams/{teamId}/addUser/{userId}:
    post:
      tags:
        - Logs
      operationId: addUserToLog
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
        - name: teamId
          in: path
          required: true
          schema:
            type: string
        - name: userId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogAddPersonnelDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /logs/{logId}/teams/{teamId}/removeUser/{userId}:
    post:
      tags:
        - Logs
      operationId: removeUserFromLog
      parameters:
        - name: logId
          in: path
          required: true
          schema:
            type: string
        - name: teamId
          in: path
          required: true
          schema:
            type: string
        - name: userId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogPersonnelDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
  /messages:
    post:
      tags:
        - Messages
      operationId: sendMessage
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogMessageSendDTO'
      responses:
        default:
          description: default response
          content:
            application/json: {}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
  schemas:
    NamedDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
    ExternalDTO:
      type: object
      properties:
        id:
          type: string
        externalId:
          type: string
    GroupDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        parent:
          $ref: '#/components/schemas/ExternalDTO'
        externalId:
          type: string
    UserDTO:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        position:
          type: string
        countryCodeMobile:
          type: string
        mobile:
          type: string
        roles:
          type: array
          items:
            type: string
        locale:
          type: string
        externalId:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        externallyManaged:
          type: boolean
      required:
        - email
        - countryCodeMobile
        - mobile
    UserResponseDTO:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        secondaryEmail:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        fullName:
          type: string
        position:
          type: string
        countryCodeMobile:
          type: string
        secondaryCountryCodeMobile:
          type: string
        mobile:
          type: string
        secondaryMobile:
          type: string
        locale:
          type: string
        externalId:
          type: string
        userType:
          type: string
        enabled:
          type: boolean
        impersonationAllowed:
          type: boolean
        anonymized:
          type: boolean
        anonymizedAt:
          type: integer
          format: int64
        lastLoginAt:
          type: integer
          format: int64
        hasBeenSafelyDeleted:
          type: boolean
        hidden:
          type: boolean
        timeCreated:
          type: integer
          format: int64
        userProfileCompleted:
          type: boolean
        canLogin:
          type: boolean
        roles:
          type: array
          items:
            type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        customFieldEntries:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldEntryDTO'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/NamedDTO'
        contactLists:
          type: array
          items:
            $ref: '#/components/schemas/NamedDTO'
        externallyManaged:
          type: boolean
        sourceDescription:
          type: string
        username:
          type: string
    ContactDTO:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        position:
          type: string
        countryCodeMobile:
          type: string
        mobile:
          type: string
        locale:
          type: string
        externalId:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        contactGroups:
          type: array
          items:
            $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        externallyManaged:
          type: boolean
      required:
        - email
        - countryCodeMobile
        - mobile
    ContactResponseDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        externalId:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        countryCodeMobile:
          type: string
        mobile:
          type: string
        locale:
          type: string
        position:
          type: string
        customFieldEntries:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldEntryDTO'
        contactLists:
          type: array
          items:
            $ref: '#/components/schemas/NamedDTO'
        externallyManaged:
          type: boolean
        sourceDescription:
          type: string
    CustomFieldEntryDTO:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        value:
          type: string
        index:
          type: integer
    TeamDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        externalId:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        members:
          type: array
          items:
            $ref: '#/components/schemas/NamedDTO'
        groupScopeType:
          type: string
    ContactListDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        externalId:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        members:
          type: array
          items:
            $ref: '#/components/schemas/NamedDTO'
        groupScopeType:
          type: string
    SiteLocation:
      type: object
      properties:
        type:
          type: string
          enum:
            - STATIC
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        address:
          type: string
    SiteDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        location:
          $ref: '#/components/schemas/SiteLocation'
        resources:
          type: array
          items:
            $ref: '#/components/schemas/ResourceDTO'
        externalId:
          type: string
        groupScopeType:
          type: string
    ResourceDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        site:
          $ref: '#/components/schemas/NamedDTO'
        description:
          type: string
        icon:
          type: string
        colorHex:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagDTO'
        externalId:
          type: string
        groupScopeType:
          type: string
    TagDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        type:
          type: string
        colorHex:
          type: string
        externalId:
          type: string
        groupScopeType:
          type: string
    ScenarioDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        published:
          type: boolean
        availableInWebApp:
          type: boolean
        availableInMobileApp:
          type: boolean
        group:
          $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        externalId:
          type: string
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/TaskDTO'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioTeamDTO'
        meetingTemplates:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioMeetingTemplateDTO'
    TaskDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        maxDuration:
          type: integer
          format: int64
        order:
          type: integer
          format: int32
        priority:
          type: string
        instructions:
          type: string
        subTasks:
          type: array
          items:
            $ref: '#/components/schemas/SubTaskDTO'
    SubTaskDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        sequenceNumber:
          type: integer
          format: int32
    ScenarioTeamDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        shouldBeNotified:
          type: boolean
        members:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioTeamMemberDTO'
    ScenarioTeamMemberDTO:
      type: object
      properties:
        userId:
          type: string
        canReceiveEmail:
          type: boolean
        canReceiveSMS:
          type: boolean
        canReceivePushMessage:
          type: boolean
        canReceiveVoiceCall:
          type: boolean
    ScenarioMeetingTemplateDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        roomId:
          type: string
        meetingTemplateId:
          type: string
    MessageTemplateDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        template:
          type: string
        externalId:
          type: string
        groupScopeType:
          type: string
    MeetingTemplateDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        published:
          type: boolean
        agendaItems:
          type: array
          items:
            $ref: '#/components/schemas/AgendaItemDTO'
        draftFocuses:
          type: array
          items:
            $ref: '#/components/schemas/DraftFocusDTO'
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/TaskDTO'
        statusFields:
          type: array
          items:
            $ref: '#/components/schemas/StatusFieldDTO'
        group:
          $ref: '#/components/schemas/ExternalDTO'
        groupScopeType:
          type: string
        externalId:
          type: string
    AgendaItemDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        sequenceNumber:
          type: integer
          format: int32
    DraftFocusDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ordinal:
          type: integer
          format: int32
        description:
          type: string
    StatusFieldDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        sequenceNumber:
          type: integer
          format: int32
    SituationReportTemplateDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        group:
          $ref: '#/components/schemas/ExternalDTO'
        sections:
          type: array
          items:
            $ref: '#/components/schemas/SituationReportTemplateSectionDTO'
        externalId:
          type: string
        groupScopeType:
          type: string
    SituationReportTemplateSectionDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        text:
          type: string
        sequence:
          type: integer
          format: int32
    FileDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
        fileNameOnServer:
          type: string
        size:
          type: integer
          format: int64
        url:
          type: string
        storageType:
          type: string
        description:
          type: string
        lastTimeUpdated:
          type: integer
          format: int64
    LogListDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        externalId:
          type: string
        exercise:
          type: boolean
    CreateLogDTO:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        exercise:
          type: boolean
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
        group:
          $ref: '#/components/schemas/ExternalDTO'
        scenario:
          $ref: '#/components/schemas/ExternalDTO'
        site:
          $ref: '#/components/schemas/ExternalDTO'
        externalId:
          type: string
    LogDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        exercise:
          type: boolean
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
        group:
          $ref: '#/components/schemas/ExternalDTO'
        timeCreated:
          type: integer
          format: int64
        closed:
          type: boolean
        mapFeatures:
          type: string
        features:
          type: array
          items:
            $ref: '#/components/schemas/FeatureDTO'
        location:
          type: string
        externalId:
          type: string
    FeatureDTO:
      type: object
      properties:
        sequence:
          type: integer
          format: int32
        key:
          type: string
        alwaysShow:
          type: boolean
        show:
          type: boolean
        unavailable:
          type: boolean
    UserLogStatusDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        externalId:
          type: string
        status:
          type: string
        statusTime:
          type: integer
          format: int64
    LogEntryDTO:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        keyEvent:
          type: boolean
        releasedInfo:
          type: boolean
        timeCreated:
          type: integer
          format: int64
        loggedByFullName:
          type: string
        labels:
          type: array
          items:
            $ref: '#/components/schemas/TagDTO'
        files:
          type: array
          items:
            type: string
    SilentDTO:
      type: object
      properties:
        silent:
          type: boolean
    MessageDTO:
      type: object
      properties:
        message:
          type: string
    LogPersonnelDTO:
      type: object
      properties:
        message:
          type: string
        notifyByEmail:
          type: boolean
        notifyBySms:
          type: boolean
        notifyByPush:
          type: boolean
        notifyByVoice:
          type: boolean
    LogAddPersonnelDTO:
      type: object
      properties:
        message:
          type: string
        smsInstructions:
          type: string
        voiceInstructions:
          type: string
        voiceLanguage:
          type: string
        notifyByEmail:
          type: boolean
        notifyBySms:
          type: boolean
        notifyByPush:
          type: boolean
        notifyByVoice:
          type: boolean
    LogMessageSendDTO:
      type: object
      properties:
        log:
          $ref: '#/components/schemas/ExternalDTO'
        users:
          type: array
          items:
            $ref: '#/components/schemas/ExternalDTO'
        responders:
          type: array
          items:
            $ref: '#/components/schemas/ExternalDTO'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/ExternalDTO'
        contactLists:
          type: array
          items:
            $ref: '#/components/schemas/ExternalDTO'
        sendAsSMS:
          type: boolean
        sendAsEmail:
          type: boolean
        message:
          type: string
security:
  - BearerAuth: []
